Index: Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/Adoption.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/Adoption.java	(revision 8b7dd7f1ec33aa6a925cce2f923c06937b5d1679)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/Adoption.java	(revision f194b4e2c295711f91f334d8423d00594a877bac)
@@ -5,4 +5,5 @@
 
 import java.time.LocalDate;
+import java.util.Date;
 
 @Data
@@ -26,7 +27,7 @@
 
     @Column(name = "id_adopter", nullable = false)
-    private Integer adopterId;
+    private int adopterId;
 
-    public Adoption(LocalDate startDate, LocalDate endDateFoster, boolean approved, Integer adopterId) {
+    public Adoption(LocalDate startDate, LocalDate endDateFoster, boolean approved, int adopterId) {
         this.startDate = startDate;
         this.endDateFoster = endDateFoster;
Index: Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/PersonalProfile.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/PersonalProfile.java	(revision 8b7dd7f1ec33aa6a925cce2f923c06937b5d1679)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/PersonalProfile.java	(revision f194b4e2c295711f91f334d8423d00594a877bac)
@@ -32,5 +32,5 @@
     private GroomingNeed groomingNeed;
 
-    public PersonalProfile(Integer id, FriendlyToKids friendlyToKids, FriendlyToPets friendlyToPets, AttentionNeed attentionNeed, PhysicalActivity physicalActivity, GroomingNeed groomingNeed) {
+    public PersonalProfile(int id, FriendlyToKids friendlyToKids, FriendlyToPets friendlyToPets, AttentionNeed attentionNeed, PhysicalActivity physicalActivity, GroomingNeed groomingNeed) {
         this.id = id;
         this.friendlyToKids = friendlyToKids;
Index: ototype Application/Paw5/src/main/java/finki/paw5/model/exceptions/InvalidPetIdException.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/model/exceptions/InvalidPetIdException.java	(revision 8b7dd7f1ec33aa6a925cce2f923c06937b5d1679)
+++ 	(revision )
@@ -1,4 +1,0 @@
-package finki.paw5.model.exceptions;
-
-public class InvalidPetIdException extends RuntimeException{
-}
Index: ototype Application/Paw5/src/main/java/finki/paw5/service/AdoptionService.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/service/AdoptionService.java	(revision 8b7dd7f1ec33aa6a925cce2f923c06937b5d1679)
+++ 	(revision )
@@ -1,8 +1,0 @@
-package finki.paw5.service;
-
-import finki.paw5.model.entities.Adoption;
-
-public interface AdoptionService {
-
-    void save(Adoption adoption);
-}
Index: ototype Application/Paw5/src/main/java/finki/paw5/service/PersonalProfileService.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/service/PersonalProfileService.java	(revision 8b7dd7f1ec33aa6a925cce2f923c06937b5d1679)
+++ 	(revision )
@@ -1,10 +1,0 @@
-package finki.paw5.service;
-
-import finki.paw5.model.entities.PersonalProfile;
-import finki.paw5.web.controllers.PostController;
-
-import java.util.Optional;
-
-public interface PersonalProfileService {
-    Optional<PersonalProfile> findById(Integer petId);
-}
Index: Prototype Application/Paw5/src/main/java/finki/paw5/service/PetService.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/service/PetService.java	(revision 8b7dd7f1ec33aa6a925cce2f923c06937b5d1679)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/service/PetService.java	(revision f194b4e2c295711f91f334d8423d00594a877bac)
Index: Prototype Application/Paw5/src/main/java/finki/paw5/service/PostService.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/service/PostService.java	(revision 8b7dd7f1ec33aa6a925cce2f923c06937b5d1679)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/service/PostService.java	(revision f194b4e2c295711f91f334d8423d00594a877bac)
@@ -2,6 +2,4 @@
 
 import finki.paw5.model.entities.Post;
-import java.util.List;
-import java.util.Optional;
 
 public interface PostService {
@@ -9,6 +7,3 @@
     void save (Post post);
 
-    List<Post> findAll();
-
-    Optional<Post> findById(Integer id);
 }
Index: Prototype Application/Paw5/src/main/java/finki/paw5/service/ShelterService.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/service/ShelterService.java	(revision 8b7dd7f1ec33aa6a925cce2f923c06937b5d1679)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/service/ShelterService.java	(revision f194b4e2c295711f91f334d8423d00594a877bac)
@@ -4,8 +4,6 @@
 
 import java.util.List;
-import java.util.Optional;
 
 public interface ShelterService {
-    Optional<Shelter> findById(Integer id);
     List<Shelter> listShelters();
 }
Index: ototype Application/Paw5/src/main/java/finki/paw5/service/implementation/AdoptionServiceImplementation.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/AdoptionServiceImplementation.java	(revision 8b7dd7f1ec33aa6a925cce2f923c06937b5d1679)
+++ 	(revision )
@@ -1,21 +1,0 @@
-package finki.paw5.service.implementation;
-
-import finki.paw5.model.entities.Adoption;
-import finki.paw5.repository.AdoptionRepository;
-import finki.paw5.service.AdoptionService;
-import org.springframework.stereotype.Service;
-
-@Service
-public class AdoptionServiceImplementation implements AdoptionService {
-
-    private final AdoptionRepository adoptionRepository;
-
-    public AdoptionServiceImplementation(AdoptionRepository adoptionRepository) {
-        this.adoptionRepository = adoptionRepository;
-    }
-
-    @Override
-    public void save(Adoption adoption) {
-        this.adoptionRepository.save(adoption);
-    }
-}
Index: ototype Application/Paw5/src/main/java/finki/paw5/service/implementation/PersonalProfileServiceImplementation.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/PersonalProfileServiceImplementation.java	(revision 8b7dd7f1ec33aa6a925cce2f923c06937b5d1679)
+++ 	(revision )
@@ -1,23 +1,0 @@
-package finki.paw5.service.implementation;
-
-import finki.paw5.model.entities.PersonalProfile;
-import finki.paw5.repository.PersonalProfileRepository;
-import finki.paw5.service.PersonalProfileService;
-import org.springframework.stereotype.Service;
-
-import java.util.Optional;
-
-@Service
-public class PersonalProfileServiceImplementation implements PersonalProfileService {
-
-    private final PersonalProfileRepository personalProfileRepository;
-
-    public PersonalProfileServiceImplementation(PersonalProfileRepository personalProfileRepository) {
-        this.personalProfileRepository = personalProfileRepository;
-    }
-
-    @Override
-    public Optional<PersonalProfile> findById(Integer petId) {
-        return this.personalProfileRepository.findById(petId);
-    }
-}
Index: Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/PetServiceImplementation.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/PetServiceImplementation.java	(revision 8b7dd7f1ec33aa6a925cce2f923c06937b5d1679)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/PetServiceImplementation.java	(revision f194b4e2c295711f91f334d8423d00594a877bac)
@@ -22,4 +22,5 @@
     }
 
+    @Override
     public List<Pet> listpets() {return this.petRepository.findAll();}
 
Index: Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/PostServiceImplementation.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/PostServiceImplementation.java	(revision 8b7dd7f1ec33aa6a925cce2f923c06937b5d1679)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/PostServiceImplementation.java	(revision f194b4e2c295711f91f334d8423d00594a877bac)
@@ -5,7 +5,4 @@
 import finki.paw5.service.PostService;
 import org.springframework.stereotype.Service;
-
-import java.util.List;
-import java.util.Optional;
 
 @Service
@@ -23,12 +20,3 @@
     }
 
-    @Override
-    public List<Post> findAll() {
-        return this.postRepository.findAll();
-    }
-
-    @Override
-    public Optional<Post> findById(Integer id) {
-        return this.postRepository.findById(id);
-    }
 }
Index: Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/ShelterServiceImplementation.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/ShelterServiceImplementation.java	(revision 8b7dd7f1ec33aa6a925cce2f923c06937b5d1679)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/ShelterServiceImplementation.java	(revision f194b4e2c295711f91f334d8423d00594a877bac)
@@ -7,9 +7,7 @@
 
 import java.util.List;
-import java.util.Optional;
 
 @Service
 public class ShelterServiceImplementation implements ShelterService {
-
     private final ShelterRepository shelterRepository;
 
@@ -18,8 +16,4 @@
     }
 
-    @Override
-    public Optional<Shelter> findById(Integer id) {
-        return this.shelterRepository.findById(id);
-    }
 
     @Override
@@ -27,5 +21,3 @@
         return shelterRepository.findAll();
     }
-
-
 }
Index: Prototype Application/Paw5/src/main/java/finki/paw5/web/controllers/PetController.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/web/controllers/PetController.java	(revision 8b7dd7f1ec33aa6a925cce2f923c06937b5d1679)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/web/controllers/PetController.java	(revision f194b4e2c295711f91f334d8423d00594a877bac)
@@ -1,16 +1,6 @@
 package finki.paw5.web.controllers;
 
-import finki.paw5.model.entities.Adoption;
-import finki.paw5.model.entities.Pet;
-import finki.paw5.model.entities.User;
-import finki.paw5.model.exceptions.InvalidPetIdException;
-import finki.paw5.service.AdoptionService;
 import finki.paw5.service.PetService;
-import jakarta.servlet.http.HttpServletRequest;
 import org.springframework.stereotype.Controller;
-import org.springframework.web.bind.annotation.PathVariable;
-import org.springframework.web.bind.annotation.PostMapping;
-
-import java.time.LocalDate;
 
 @Controller
@@ -18,25 +8,8 @@
 
     private final PetService petService;
-    private final AdoptionService adoptionService;
 
-    public PetController(PetService petService, AdoptionService adoptionService) {
+    public PetController(PetService petService) {
         this.petService = petService;
-        this.adoptionService = adoptionService;
     }
 
-    @PostMapping("/submit-adopton-{id}")
-    public String saveAdoption(@PathVariable Integer id, HttpServletRequest request) {
-
-        Pet pet = this.petService.findById(id);
-        
-        User user = (User) request.getSession().getAttribute("user");
-
-        Adoption adoption = new Adoption(LocalDate.now(), null, false, user.getId());
-        this.adoptionService.save(adoption);
-
-        pet.setAdoptionId(adoption.getId());
-        this.petService.save(pet);
-
-        return "redirect:/home";
-    }
 }
Index: Prototype Application/Paw5/src/main/java/finki/paw5/web/controllers/PostController.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/web/controllers/PostController.java	(revision 8b7dd7f1ec33aa6a925cce2f923c06937b5d1679)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/web/controllers/PostController.java	(revision f194b4e2c295711f91f334d8423d00594a877bac)
@@ -1,24 +1,22 @@
 package finki.paw5.web.controllers;
+
+import finki.paw5.model.entities.Employee;
 import finki.paw5.model.entities.Pet;
 import finki.paw5.model.entities.Post;
-import finki.paw5.model.entities.Employee;
+import finki.paw5.model.entities.User;
 import finki.paw5.model.enumerations.AgeGroup;
 import finki.paw5.model.enumerations.Gender;
 import finki.paw5.model.enumerations.Size;
 import finki.paw5.model.enumerations.Species;
-import finki.paw5.service.PersonalProfileService;
 import finki.paw5.service.PetService;
 import finki.paw5.service.PostService;
-import finki.paw5.service.ShelterService;
 import jakarta.servlet.http.HttpServletRequest;
 import org.springframework.stereotype.Controller;
 import org.springframework.ui.Model;
 import org.springframework.web.bind.annotation.GetMapping;
-import org.springframework.web.bind.annotation.PathVariable;
 import org.springframework.web.bind.annotation.PostMapping;
 import org.springframework.web.bind.annotation.RequestParam;
 
 import java.time.LocalDate;
-import java.util.List;
 
 @Controller
@@ -27,10 +25,8 @@
     private final PostService postService;
     private final PetService petService;
-    private final PersonalProfileService personalProfileService;
 
-    public PostController(PostService postService, PetService petService, PersonalProfileService personalProfileService, ShelterService shelterService) {
+    public PostController(PostService postService, PetService petService) {
         this.postService = postService;
         this.petService = petService;
-        this.personalProfileService = personalProfileService;
     }
 
@@ -75,27 +71,3 @@
         return "redirect:/home";
     }
-
-    @GetMapping("/adoption-posts")
-    public String getAdoptionPosts(Model model){
-
-        List<Post> posts = this.postService.findAll();
-        List<Pet> pets = this.petService.listpets();
-        model.addAttribute("posts", posts);
-        model.addAttribute("pets",pets);
-
-        return "list-posts-adoption";
-    }
-
-    @GetMapping("/pet-details-{id}")
-    public String getPostDetails(@PathVariable Integer id,
-                                 Model model){
-
-        Post post = this.postService.findById(id).get();
-        Pet pet = this.petService.findById(post.getPetId());
-
-        model.addAttribute("pet", pet);
-        model.addAttribute("post", post);
-
-        return "pet-details";
-    }
 }
Index: Prototype Application/Paw5/src/main/resources/templates/aboutUs.html
===================================================================
--- Prototype Application/Paw5/src/main/resources/templates/aboutUs.html	(revision 8b7dd7f1ec33aa6a925cce2f923c06937b5d1679)
+++ Prototype Application/Paw5/src/main/resources/templates/aboutUs.html	(revision f194b4e2c295711f91f334d8423d00594a877bac)
@@ -40,5 +40,5 @@
     <h5 class="text-center text-danger">
         You successfully logged in
-        <th:block  th:text="${session.user?.getId()}"></th:block>
+        <th:block  th:text="${session.user.getId()}"></th:block>
     </h5>
 </div>
Index: Prototype Application/Paw5/src/main/resources/templates/home.html
===================================================================
--- Prototype Application/Paw5/src/main/resources/templates/home.html	(revision 8b7dd7f1ec33aa6a925cce2f923c06937b5d1679)
+++ Prototype Application/Paw5/src/main/resources/templates/home.html	(revision f194b4e2c295711f91f334d8423d00594a877bac)
@@ -36,23 +36,15 @@
 </header>
 <div>
-  <h1>Welcome to Paw 5</h1>
-  <h3>Let's get started
-    <th:block  th:text="${session.user?.getName()}"></th:block>
-  </h3>
-</div>
-<div>
   <form method="get" th:action="@{'/create-post'}">
-    <button id="createPost"
-            type="submit"
-            class="btn">Create an Adoption Post</button>
+    <button id="submit" type="submit">Create an Adoption Post</button>
   </form>
 </div>
 <div>
-  <form method="get" th:action="@{'/adoption-posts'}">
-    <button id="submit"
-            type="submit"
-            class="btn">View Pet Posts</button>
-  </form>
+  <h1>Welcome to Paw 5</h1>
+  <h3>Let's get started
+    <th:block  th:text="${session.user.getName()}"></th:block>
+  </h3>
 </div>
+
 </body>
 </html>
Index: ototype Application/Paw5/src/main/resources/templates/list-posts-adoption.html
===================================================================
--- Prototype Application/Paw5/src/main/resources/templates/list-posts-adoption.html	(revision 8b7dd7f1ec33aa6a925cce2f923c06937b5d1679)
+++ 	(revision )
@@ -1,64 +1,0 @@
-<!DOCTYPE html>
-<html xmlns="http://www.w3.org/1999/xhtml"
-      xmlns:th="http://thymeleaf.org"
-      xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity3"
-      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout">
-<head>
-    <meta charset="UTF-8">
-    <title>Adoption Posts</title>
-    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
-    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
-    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
-    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
-
-</head>
-<body>
-<header>
-    <nav class="navbar navbar-expand-md navbar-dark bg-dark">
-        <div class="container">
-            <a class="navbar-brand" href="/home">Paw 5</a>
-            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarsExampleDefault"
-                    aria-controls="navbarsExampleDefault" aria-expanded="false" aria-label="Toggle navigation">
-                <span class="navbar-toggler-icon"></span>
-            </button>
-
-            <div class="collapse navbar-collapse justify-content-end" id="navbarsExampleDefault">
-                <ul class="navbar-nav m-auto">
-                    <li class="nav-item m-auto">
-                        <a class="nav-link active" href="/home/aboutUs">About us</a>
-                    </li>
-                    <li class="nav-item m-auto">
-                        <a class="nav-link active" href="/login">Login</a>
-                    </li>
-                    <li class="nav-item m-auto">
-                        <a class="nav-link active" href="/register">Register</a>
-                    </li>
-                </ul>
-            </div>
-        </div>
-    </nav>
-</header>
-<table>
-    <tr>
-        <th>Post ID</th>
-        <th>Pet Name</th>
-        <th>Species</th>
-    </tr>
-    <tr th:each = "post : ${posts}">
-        <td th:text = "${post.getId()}"></td>
-        <td th:each = "pet : ${pets}" th:if="${post.getPetId()==pet.getId()}" th:text = "${pet.getName()}"></td>
-        <td th:each = "pet : ${pets}" th:if="${post.getPetId()==pet.getId()}" th:text = "${pet.getSpecies()}"></td>
-        <td>
-            <form th:action="@{'/pet-details-{id}' (id=${post.getId()})}"
-                  th:method="GET">
-                <button type="submit"
-                        class="btn">
-                        View Details
-                </button>
-            </form>
-
-        </td>
-    </tr>
-</table>
-</body>
-</html>
Index: ototype Application/Paw5/src/main/resources/templates/pet-details.html
===================================================================
--- Prototype Application/Paw5/src/main/resources/templates/pet-details.html	(revision 8b7dd7f1ec33aa6a925cce2f923c06937b5d1679)
+++ 	(revision )
@@ -1,78 +1,0 @@
-<!DOCTYPE html>
-<html xmlns="http://www.w3.org/1999/xhtml"
-      xmlns:th="http://thymeleaf.org"
-      xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity3"
-      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout">
-<head>
-    <meta charset="UTF-8">
-    <title>Title</title>
-    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
-    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
-    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
-    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
-</head>
-<body>
-<header>
-    <nav class="navbar navbar-expand-md navbar-dark bg-dark">
-        <div class="container">
-            <a class="navbar-brand" href="/home">Paw 5</a>
-            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarsExampleDefault"
-                    aria-controls="navbarsExampleDefault" aria-expanded="false" aria-label="Toggle navigation">
-                <span class="navbar-toggler-icon"></span>
-            </button>
-
-            <div class="collapse navbar-collapse justify-content-end" id="navbarsExampleDefault">
-                <ul class="navbar-nav m-auto">
-                    <li class="nav-item m-auto">
-                        <a class="nav-link active" href="/home/aboutUs">About us</a>
-                    </li>
-                    <li class="nav-item m-auto">
-                        <a class="nav-link active" href="/login">Login</a>
-                    </li>
-                    <li class="nav-item m-auto">
-                        <a class="nav-link active" href="/register">Register</a>
-                    </li>
-                </ul>
-            </div>
-        </div>
-    </nav>
-</header>
-<table>
-    <tr>
-        <th>Post ID</th>
-        <td th:text = "${post.getId()}"></td>
-    <tr>
-        <th>Pet Name</th>
-        <td th:text = "${pet.getName()}"></td>
-    </tr>
-    <tr>
-        <th>Species</th>
-        <td th:text = "${pet.getSpecies()}"></td>
-    </tr>
-    <tr>
-        <th>Breed</th>
-        <td th:text = "${pet.getBreed()}"></td>
-    </tr>
-    <tr>
-        <th>Gender</th>
-        <td th:text = "${pet.getGender()}"></td>
-    </tr>
-    <tr>
-        <th>Age Group</th>
-        <td th:text = "${pet.getAgeGroup}"></td>
-    </tr>
-    <tr>
-        <th>Size</th>
-        <td th:text = "${pet.getSize()}"></td>
-    </tr>
-</table>
-<form method="POST"
-      th:action="@{'/submit-adopton-{id}' (id=${pet.getId()})}"
-      th:if="${pet.getAdoptionId()==null}">
-    <button id="submit"
-            type="submit"
-            class="btn">Adopt</button>
-</form>
-
-</body>
-</html>
